Bug 461881 - problems installing Fedora on HP Pavilion dv5z-1000
problems installing Fedora on HP Pavilion dv5z-1000
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 02:43 EDT by Donald Cohen
Modified: 2009-07-14 10:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Cohen 2008-09-11 02:43:13 EDT
Description of problem:
Trying to install FC9 on
HP Pavilion dv5z-1000 
AMD Athlon(TM) X2 Dual-Core Processor for Notebook PCs QL-60 (1.9GHz) 
Windows says  
disk drive = Hitachi HTS543216L9A3 SCSI Disk Device 
dvd = TSSTcorp CDDVDW TS-L633A SCSI CdRom Device 
net = Realtek RTL8102E family PCI-E Fast Ethernet NIC (NDIS 6.0) 
(more such detail available if that would be useful) 

I try boot to CD with Fedora-9-x86_64-netinst.iso
After seeing
  running /sbin/loader 
I see what looks like a stack trace, which I try to approximate:
====
[<ffffffff811ab06e>] bus_for_each_dev+... 
 ... 
[                  ] ? do_sync_read 
[                  ] ? disable_irq 
[                  ] security_file_permission 
[                  ] vfs_read 
[                  ] system_call_after_swapgs 
 
Code ... 
 ... 
[ end of trace ...] 
ohci_hcd: 2006 August 04 USB li 'open' host controller (OHCI) driver 
libata version 3.00 loaded 
====
After a few minutes (during which I attempt to copy down some of the gobbledygook above) I see the expected screen asking what language. 
I enter return (English), then return for the next screen (US keyboard), 
then select media (I tried both URL and local cd) I get  
  unable to find any devices of the type needed for this installation 
  type... 
If I try hard drive it claims I have no hard drive.

I also tried FC9 i386 version.  This gets stuck almost immediately with
the screen looking something like the following:
====
...
CPU 0 irqstacks, hard=... 
PID hash table entries: ... 
Detected 1900.193 Mhz processor 
Console: colour VGA+ 80x25 
console [tty0] enabled 
Dentry cache hash table entries: ... 
Inode-cache hash table entries: ...    
Memory available... 
virtual kernel memory layout: 
... 
Checking if this processor honours the WP bit even in supervisor mode...Ok. 
SLUB: Genslabs=12, HWalign=64, Order=0-1,MinObjects=4, CPUs=2, Nodes=1 
====
I also tried some earlier FC versions.  They seem to get to the choose
media without problems, but they also claim I have no devices that support
install from CD or from URL and no hard drives. 

How can I have no CD/DVD when I'm booting from one?
Is it possible the other hardware devices are unsupported?
Or should I be loading drivers (which ones)?
Comment 1 Donald Cohen 2008-09-12 00:13:47 EDT
I have some interest in when this is likely to be resolved - I have 21 days to return the computer (now slightly less) which I will likely want to do if I can't get it to run linux.
Comment 2 Donald Cohen 2008-09-12 04:13:13 EDT
It occurs to me after some more web searching to wonder whether this particular processor type (QL-60) has ever yet successfully run linux.  How long has it been out?
Comment 3 Donald Cohen 2008-09-14 19:22:12 EDT
I can now boot - by adding acpi=off
After figuring out how to boot in 32 bit version I move to 64 (both live cd's)
Therefore I can see the backtrace in the log.  It seems to be related to r8169:
====
Sep 14 05:52:20 localhost kernel: r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
Sep 14 05:52:20 localhost kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000208
Sep 14 05:52:20 localhost kernel: IP: [dev_driver_string+0/57] dev_driver_string+0x0/0x39
Sep 14 05:52:20 localhost kernel: PGD adce1067 PUD adce2067 PMD adc1c067 PTE 0
Sep 14 05:52:20 localhost kernel: Oops: 0000 [1] SMP 
Sep 14 05:52:20 localhost kernel: CPU 0 
Sep 14 05:52:20 localhost kernel: Modules linked in: r8169(+) mac80211 shpchp cfg80211 sg sr_mod cdrom dm_snapshot dm_zero dm_mirror dm_mod ahci libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: scsi_wait_scan]
Sep 14 05:52:20 localhost kernel: Pid: 512, comm: modprobe Not tainted 2.6.25-14.fc9.x86_64 #1
Sep 14 05:52:20 localhost kernel: RIP: 0010:[dev_driver_string+0/57]  [dev_driver_string+0/57] dev_driver_string+0x0/0x39
Sep 14 05:52:20 localhost kernel: RSP: 0018:ffff8100adc15af0  EFLAGS: 00010246
Sep 14 05:52:20 localhost kernel: RAX: 0000000000000001 RBX: 0000000000000000 RCX: 0000000000000000
Sep 14 05:52:20 localhost kernel: RDX: ffffffff88144e04 RSI: 0000000000000246 RDI: 0000000000000080
Sep 14 05:52:20 localhost kernel: RBP: ffff8100adc15be8 R08: ffffffff813c3030 R09: 0000000000000000
Sep 14 05:52:20 localhost kernel: R10: 00000000000a903e R11: 0000000000000001 R12: ffff8100adcfa700
Sep 14 05:52:20 localhost kernel: R13: ffffc2000102a000 R14: ffff8100adcfa000 R15: ffff8100af7ad800
Sep 14 05:52:20 localhost kernel: FS:  00007f87096996f0(0000) GS:ffffffff813f6000(0000) knlGS:0000000000000000
Sep 14 05:52:20 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 14 05:52:20 localhost kernel: CR2: 0000000000000208 CR3: 00000000adc1f000 CR4: 00000000000006e0
Sep 14 05:52:20 localhost kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 14 05:52:20 localhost kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 14 05:52:20 localhost kernel: Process modprobe (pid: 512, threadinfo ffff8100adc14000, task ffff8100addc6000)
Sep 14 05:52:20 localhost kernel: Stack:  ffffffff8814404c ffff8100af61d000 ffff8100af7c1820 ffffffff810edfec
Sep 14 05:52:20 localhost kernel:  ffffc200004c0bc8 ffff8100af1a18e0 ffff8100ae14c690 ffff8100adc15b58
Sep 14 05:52:20 localhost kernel:  ffffffff8102afa6 ffff8100addc6000 0000000000000030 00000000af7ad880
Sep 14 05:52:20 localhost kernel: Call Trace:
Sep 14 05:52:20 localhost kernel:  [_end+113141008/2114593988] ? :r8169:rtl8169_init_one+0x3ab/0xaf2
Sep 14 05:52:20 localhost kernel:  [sysfs_ilookup_test+0/20] ? sysfs_ilookup_test+0x0/0x14
Sep 14 05:52:20 localhost kernel:  [task_rq_lock+61/115] ? task_rq_lock+0x3d/0x73
Sep 14 05:52:20 localhost kernel:  [set_cpus_allowed+200/213] ? set_cpus_allowed+0xc8/0xd5
Sep 14 05:52:20 localhost kernel:  [kobject_get+26/34] ? kobject_get+0x1a/0x22
Sep 14 05:52:20 localhost kernel:  [pci_device_probe+199/286] pci_device_probe+0xc7/0x11e
Sep 14 05:52:20 localhost kernel:  [driver_probe_device+192/366] driver_probe_device+0xc0/0x16e
Sep 14 05:52:20 localhost kernel:  [__driver_attach+147/211] __driver_attach+0x93/0xd3
Sep 14 05:52:20 localhost kernel:  [__driver_attach+0/211] ? __driver_attach+0x0/0xd3
Sep 14 05:52:20 localhost kernel:  [bus_for_each_dev+79/137] bus_for_each_dev+0x4f/0x89
Sep 14 05:52:20 localhost kernel:  [kobject_get+26/34] ? kobject_get+0x1a/0x22
Sep 14 05:52:20 localhost kernel:  [driver_attach+28/30] driver_attach+0x1c/0x1e
Sep 14 05:52:20 localhost kernel:  [bus_add_driver+183/512] bus_add_driver+0xb7/0x200
Sep 14 05:52:20 localhost kernel:  [driver_register+94/222] driver_register+0x5e/0xde
Sep 14 05:52:20 localhost kernel:  [__pci_register_driver+83/139] __pci_register_driver+0x53/0x8b
Sep 14 05:52:20 localhost kernel:  [_end+113169634/2114593988] :r8169:rtl8169_init_module+0x1e/0x20
Sep 14 05:52:20 localhost kernel:  [sys_init_module+6463/6791] sys_init_module+0x193f/0x1a87
Sep 14 05:52:20 localhost kernel:  [do_sync_read+231/301] ? do_sync_read+0xe7/0x12d
Sep 14 05:52:20 localhost kernel:  [disable_irq+0/51] ? disable_irq+0x0/0x33
Sep 14 05:52:20 localhost kernel:  [security_file_permission+17/19] ? security_file_permission+0x11/0x13
Sep 14 05:52:20 localhost kernel:  [vfs_read+171/340] ? vfs_read+0xab/0x154
Sep 14 05:52:20 localhost kernel:  [system_call_after_swapgs+123/128] system_call_after_swapgs+0x7b/0x80
Sep 14 05:52:20 localhost kernel: 
Sep 14 05:52:20 localhost kernel: 
Sep 14 05:52:20 localhost kernel: Code: 79 25 49 c7 c0 20 5b 55 81 89 d9 48 c7 c2 ad 12 36 81 31 f6 48 c7 c7 5b 28 38 81 e8 90 c3 e8 ff eb 05 b8 ed ff ff ff 5a 5b c9 c3 <48> 8b 87 88 01 00 00 55 48 89 e5 48 85 c0 75 0c 48 8b 87 80 01 
Sep 14 05:52:20 localhost kernel: RIP  [dev_driver_string+0/57] dev_driver_string+0x0/0x39
Sep 14 05:52:20 localhost kernel:  RSP <ffff8100adc15af0>
Sep 14 05:52:20 localhost kernel: CR2: 0000000000000208
Sep 14 05:52:20 localhost kernel: ---[ end trace 30d017175af77985 ]---
====
Among other problems I notice, only one processor.
relevant looking lines from log:
Sep 14 05:52:20 localhost kernel: SMP: Allowing 0 CPUs, 0 hotplug CPUs
Sep 14 05:52:20 localhost kernel: Initializing CPU#0
Sep 14 05:52:20 localhost kernel: CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
Sep 14 05:52:20 localhost kernel: CPU: L2 Cache: 512K (64 bytes/line)
Sep 14 05:52:20 localhost kernel: CPU 0/0 -> Node 0
Sep 14 05:52:20 localhost kernel: CPU: Physical Processor ID: 0
Sep 14 05:52:20 localhost kernel: CPU: Processor Core ID: 0
Sep 14 05:52:20 localhost kernel: SMP alternatives: switching to UP code
Sep 14 05:52:20 localhost kernel: Freeing SMP alternatives: 28k freed
Sep 14 05:52:20 localhost kernel: weird, boot CPU (#0) not listed by the BIOS.
Sep 14 05:52:20 localhost kernel: SMP motherboard not detected.
Sep 14 05:52:20 localhost kernel: Using local APIC timer interrupts.
Sep 14 05:52:20 localhost kernel: Detected 12.500 MHz APIC timer.
Sep 14 05:52:20 localhost kernel: SMP disabled
Sep 14 05:52:20 localhost kernel: Brought up 1 CPUs
Sep 14 05:52:20 localhost kernel: Oops: 0000 [1] SMP 
Sep 14 05:52:20 localhost kernel: CPU 0
Comment 4 Donald Cohen 2008-09-14 19:27:48 EDT
I now try live cd for 10-alpha.
still only one cpu,Sep 14 15:49:11 localhost kernel:<6>SMP: Allowing 1 CPUs, 0 hotplug CPUs
Sep 14 15:49:11 localhost kernel:<4>weird, boot CPU (#0) not listedby the BIOS.
Sep 14 15:49:11 localhost kernel:<5>SMP motherboard not detected.
Sep 14 15:49:11 localhost kernel:<6>SMP disabled
Sep 14 15:49:11 localhost kernel:<6>Brought up 1 CPUs
Sep 14 15:49:11 localhost kernel:<6>powernow-k8: Found 1 AMD Athlon(tm) X2 Dual-Core QL-60 processors (1 cpu cores) (version 2.20.00)
Sep 14 15:49:11 localhost kernel:<3>powernow-k8: BIOS error - no PSB or ACPI _PSS objects

also the following backtrace:

Sep 14 15:49:43 localhost kernel:<4>------------[ cut here ]------------
Sep 14 15:49:43 localhost kernel:<4>WARNING: at net/core/dev.c:1330 __netif_schedule+0x36/0xc3() (Not tainted)
Sep 14 15:49:43 localhost kernel:<4>Modules linked in: sunrpc ipv6 dm_mirror dm_log snd_seq_dummy pcspkr snd_hda_intel joydev snd_seq_oss snd_seq_midi_event snd_seq arc4 i2c_piix4 snd_seq_device i2c_core snd_pcm_oss ecb crypto_blkcipher snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd soundcore uvcvideo compat_ioctl32 videodev v4l1_compat ath5k mac80211 r8169 shpchp cfg80211 ext3 jbd mbcache dm_snapshot dm_mod squashfs usb_storage pata_acpi pata_atiixp ata_generic ehci_hcd ohci_hcd ahci loop sr_mod cdrom [last unloaded: freq_table]
Sep 14 15:49:43 localhost kernel:<4>Pid: 2505, comm: NetworkManager Not tainted 2.6.27-0.166.rc0.git8.fc10.x86_64 #1
Sep 14 15:49:43 localhost kernel:<4>
Sep 14 15:49:43 localhost kernel:<4>Call Trace:
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8103f6a4>] warn_on_slowpath+0x65/0xac
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81060d80>] ? trace_hardirqs_on+0xd/0xf
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81060d4f>] ? trace_hardirqs_on_caller+0x10f/0x133
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81060d80>] ? trace_hardirqs_on+0xd/0xf
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8126e4d7>] ? __netif_schedule+0x7/0xc3
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8108d315>] ? ftrace_record_ip+0x206/0x22b
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8100c114>] ? mcount_call+0x5/0x31
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8126e506>] __netif_schedule+0x36/0xc3
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa00fff69>] ieee80211_wake_queue+0x75/0x7a [mac80211]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa00fff8d>] ieee80211_wake_queues+0x1f/0x36 [mac80211]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa0122435>] ath5k_txq_cleanup+0x1ec/0x2fa [ath5k]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa012264d>] ath5k_stop_locked+0xb4/0xe9 [ath5k]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa0122b15>] ath5k_init+0x7c/0x17f [ath5k]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa0122c2a>] ath5k_start+0x12/0x14 [ath5k]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffffa00ebadc>] ieee80211_open+0x249/0x55b [mac80211]
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8100c114>] ? mcount_call+0x5/0x31
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81280e60>] ? eth_validate_addr+0x0/0x3d
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8127180b>] dev_open+0x8b/0xcc
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81271129>] dev_change_flags+0xb0/0x173
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81278eac>] do_setlink+0x291/0x353
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff812f5cb6>] ? _read_unlock+0x2b/0x30
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8127907e>] rtnl_setlink+0x110/0x112
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8127a012>] rtnetlink_rcv_msg+0x1c9/0x1e7
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81279e49>] ? rtnetlink_rcv_msg+0x0/0x1e7
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8128b26a>] netlink_rcv_skb+0x43/0x95
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81279e40>] rtnetlink_rcv+0x2e/0x37
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8128adee>] netlink_unicast+0x119/0x182
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8128b0ba>] netlink_sendmsg+0x263/0x276
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81263350>] __sock_sendmsg+0x5e/0x67
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81263cce>] sock_sendmsg+0xcc/0xe5
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81053ef1>] ? autoremove_wake_function+0x0/0x3d
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8105fd49>] ? trace_hardirqs_off_caller+0x21/0xa4
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81264720>] ? move_addr_to_kernel+0x45/0x4e
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8126b8bf>] ? verify_iovec+0x54/0x95
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81263ebe>] sys_sendmsg+0x1d7/0x241
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81060d4f>] ? trace_hardirqs_on_caller+0x10f/0x133
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81060d80>] ? trace_hardirqs_on+0xd/0xf
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8103570b>] ? hrtick_set+0x8a/0xf6
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff810ccb16>] ? path_put+0x22/0x26
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff81014d56>] ? syscall_trace_enter+0x114/0x126
Sep 14 15:49:43 localhost kernel:<4> [<ffffffff8100c509>] tracesys+0xd0/0xd5
Sep 14 15:49:43 localhost kernel:<4>
Sep 14 15:49:43 localhost kernel:<4>---[ end trace 215878115721868e ]---

Should I just post the whole thing?
Comment 5 Donald Cohen 2008-09-14 19:29:56 EDT
BTW, I find that 10-alpha does weird things to the screen so that I really can't tell what's going on during the boot process.  There's some graphic trying to display in the middle of the screen.  Can I turn it off?
Comment 6 Donald Cohen 2008-09-15 21:04:20 EDT
I get two CPUs when I change to acpi=ht - hadn't realized that off would always
result in one CPU.
Comment 7 Bug Zapper 2009-06-09 22:41:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 10:21:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.